Subject: RE: bug#17567: [External] : Re: bug#17567: 24.4.50; doc string of `define-derived-mode'

From: Drew Adams <[email-masked]>
Date: Sat, 25 Sep 2021 19:44:50 +0000

> > As I said, if the updated doc string is posted
> > in the bug-report thread then I'll be glad to
> > check it (whether with a web browser or a mail
> > client).
> 
> That's not how Emacs development works.  People who want to track the
> development or participate in it are expected to access the Git
> repository.

If you'd like me to check the fix (Stefan's request)
then please consider putting the new text in the bug
thread.  Otherwise, you'll just have to do without
my review and feedback, I guess.  Not a biggee (the
bug was anyway closed, without such a review).

_I didn't request_ to review the fix ("participate"
in tracking the development).  I was invited to do
so.  I replied that if the text to review is in the
bug thread then I'll be glad to review it.

> > But no, I'm not going to go to Savannah, find
> > the Emacs project page, and dig out the source
> > code.  Not for a doc string correction.
> 
> ... If you refuse to do that, you are not helping
> the project as much as you could have.

If you refuse to put the updated doc string in a bug
thread that asks only for a doc-string fix, then
you're not helping users, or the project, as much as
you could.  Copy...paste...send.  Simple.

(I'd even consider that common courtesy, but you're
by no means obliged to see courtesy the same way,
of course.)
___

And if that review-request text is boilerplate (I
wonder now, as I see that it mentions using "Reply
to all" etc.) then you might consider adding a link
to it, to the fix (manually, if not automatically).

  Please verify that this fix works for you, but for
  now I'm closing this bug report.  If you see
  anything that is wrong, please reply to this email
  (use "Reply to all" in your email client) and we
  can reopen the bug report.  You could also just
  report a new bug.

  Thanks again for the bug report!